This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 517125 - scheduling pkg upgrades through SSM properly reflects pkgs per system, but not in SDC
scheduling pkg upgrades through SSM properly reflects pkgs per system, but no...
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
high Severity urgent
: ---
: ---
Assigned To: Jay Dobies
Red Hat Satellite QA List
: Regression
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-08-12 12:54 EDT by John Sefler
Modified: 2014-07-04 09:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-04 09:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
notice that the fjs-0-12 system should only have one pkg scheduled for install/upgrade (132.38 KB, image/png)
2009-08-12 12:57 EDT, John Sefler
no flags Details
notice that the fjs-0-12 system was actually scheduled for install/upgrade of two pkgs (126.57 KB, image/png)
2009-08-12 12:58 EDT, John Sefler
no flags Details

  None (edit)
Description John Sefler 2009-08-12 12:54:39 EDT
Description of problem:
While scheduling package upgrades (or applying Errata) using SSM with multiple systems selected, there is a confirmation page with information "Confirm Package Upgrade"
The packages you have selected will be installed to the compatible selected systems, listed below:
and the list shows the packages that will be scheduled for install on a per system basis.  Depending on the state of your systems, the packages listed will be different on each system (as expected when one system already has a pkg installed).  However, after confirming the scheduled install, going to the Events scheduled for each system and clicking the pending event will display that ALL of the packages (or applied Errata pkgs) are scheduled for install.  So that means that even the systems for which the packages are already installed, the system is still scheduled for a new install of a package that it already has.

Clearly the SSM is very smart/aware of what packages are already installed on individual systems, yet the scheduler appears to dispatch a union of all packages to each selected system.

I am attaching a screenshot that shows the confirmation window with the applicable packages selected on a per system basis.
Note that on system fjs-0-12.rhndev.redhat.com, only one package will be installed/upgraded.

I am also attaching a screenshot that shows the pending events on fjs-0-12.rhndev.redhat.com which shows that two packages are scheduled for install/upgraded.  It should only show the one.

Version-Release number of selected component (if applicable):

How reproducible:
infer from the description above and checkpoint your reproduction steps against the screenshots attached.

  
Actual results:
each system is being scheduled for upgrade/install of packages with a union of all packages

Expected results:
each system should only be scheduled for the upgrade/install of packages applicable to the system as previously indicated in the SSM confirmation window.

Additional info:

sat530 staged iso 7/24
Comment 1 John Sefler 2009-08-12 12:57:04 EDT
Created attachment 357202 [details]
notice that the fjs-0-12 system should only have one pkg scheduled for install/upgrade
Comment 2 John Sefler 2009-08-12 12:58:14 EDT
Created attachment 357204 [details]
notice that the fjs-0-12 system was actually scheduled for install/upgrade of two pkgs

Note You need to log in before you can comment on or make changes to this bug.